using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Naming
{
    public class Rule1720A
    {
        // このプロパティは CA1720:LanguageSpecificMember に違反しています。
        public float Float { get; set; }

        // このメソッドは CA1720:LanguageIndependentMemberParameter に違反しています。
        // このメソッドは CA1720:LanguageSpecificMemberParameter に違反しています。
        public void WriteFloat(int intValue, int int32)
        {
            Console.WriteLine(Float);
            Console.WriteLine(intValue + int32);
        }
    }

    // このデリゲートは CA1720:LanguageIndependentDelegateParameter に違反しています。
    // このデリゲートは CA1720:LanguageSpecificDelegateParameter に違反しています。
    public delegate void Rule1720B(int intValue, int int32);
}
